<?php

namespace App\Service;

class DatabaseCredentials
{
    public function __construct(
        private readonly string $hostname,
        private readonly string $user,
        private readonly string $password,
    ) {}

    public function getHostname(): string
    {
        return $this->hostname;
    }

    public function getUser(): string
    {
        return $this->user;
    }

    public function getPassword(): string
    {
        return $this->password;
    }
}